## javanet.staxutils
Class BaseXMLEventReader

    java.lang.Object
      javanet.staxutils.BaseXMLEventReader

All Implemented Interfaces:
  Iterator, XMLEventReader

Direct Known Subclasses:
  ListEventReader

    public abstract class BaseXMLEventReader

extends Object
implements XMLEventReader

Abstract base class for `XMLEventReader` implementations.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Field Summary
`protected boolean` `closed` Whether we've been closed or not.

Constructor Summary
`BaseXMLEventReader()`

Method Summary
`void` `close()`
`String` `getElementText()`
`Object` `getProperty(String name)`
`Object` `next()`
`XMLEvent` `nextTag()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.stream.XMLEventReader
`hasNext, nextEvent, peek`

Field Detail

### closed

    protected boolean closed

  Whether we've been closed or not.

Constructor Detail

### BaseXMLEventReader

    public BaseXMLEventReader()

Method Detail

### getElementText

    public String getElementText()
                          throws XMLStreamException

  Specified by:
    `getElementText` in interface `XMLEventReader`
  Throws:
    `XMLStreamException`

### nextTag

    public XMLEvent nextTag()
                     throws XMLStreamException

  Specified by:
    `nextTag` in interface `XMLEventReader`
  Throws:
    `XMLStreamException`

### getProperty

    public Object getProperty(String name)
                       throws IllegalArgumentException

  Specified by:
    `getProperty` in interface `XMLEventReader`
  Throws:
    `IllegalArgumentException`

### close

    public void close()
               throws XMLStreamException

  Specified by:
    `close` in interface `XMLEventReader`
  Throws:
    `XMLStreamException`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`